<HTML>
<BODY>

<!-- Note create=no and scope=session. This causes this page to use the Psi_chain IO from
     db_chain_inp.jsp instead of creating a new one -->
<BEAN NAME="Psi_chain1" TYPE="IntegrationObject.Psi_chain1" INTROSPECT="yes" CREATE="no" SCOPE="session">
</BEAN>
<% 
       // Define a series of String variables to use in priming the FORM
       String trans_type = new String("");
       String princ_qty = new String("");
       String price = new String("");
       String pay_ccy = new String("");
       String location = new String("");
       String client_txt = new String("");
       String custodian_txt = new String("");
       String physical_txt = new String("");

       // Check to see if this is the first time in this page by checking for the hidden
       // parameter from the form on the db_chain_inp.jsp page. If it was specified, run 
       // the IO. If not, simply reuse the results of Psi_chain2 to populate the form
       // since we must be returning from db_chain2_out because of an error.
       String first = request.getParameter("entry");
       if (first != null && first.equals("true"))
       { 
            Psi_chain1.setHPubStartPoolName("Psi_chain");
            Psi_chain1.doHPTransaction(request, response); 

            // Now that Psi_chain1 has been run, set the String variables with the
            // results of the run.
            trans_type = Psi_chain1.getTrans_type();
            princ_qty = Psi_chain1.getPrinc_qty();
            price = Psi_chain1.getPrice();
            pay_ccy = Psi_chain1.getPay_ccy();
            location = Psi_chain1.getLocation();
       }
       else
       {   // This page has been returned to because of an error on Psi_output2.jsp. 
           // Prime the fields with the input values from the instance of Psi_chain2
           // which ran on Psi_output2.jsp since it represents the previous form's 
           // values. Note that we use scope=session and create=no in order to retrieve
           // the instance of this Integration Object which was created on 
           // Psi_output2.jsp.
%>
           <BEAN NAME="Psi_chain2" TYPE="IntegrationObject.Psi_chain2" INTROSPECT="yes" CREATE="no" SCOPE="session">
           </BEAN>
<%          trans_type = Psi_chain2.getTranstype_inp();
            princ_qty = Psi_chain2.getPrinc_qty_inp();
            price = Psi_chain2.getPrice();
            pay_ccy = Psi_chain2.getPay_ccy_inp();
            location = Psi_chain2.getLocation();
            client_txt = Psi_chain2.getClient_txt();
            custodian_txt = Psi_chain2.getCustodian_txt();
            physical_txt = Psi_chain2.getPhysiscal_txt();
       }
%>


<FORM NAME="form1" METHOD="POST" ACTION="<%= response.encodeUrl("Psi_output2.jsp") %>">

<!-- Prime the form from variables initialized by either Psi_chain1 or Psi_chain2 -->
<P>Trans Type<INPUT TYPE ="text" NAME="transtype_inp" VALUE="<%= trans_type %>">
<P>Principle Qty<INPUT TYPE ="text" NAME="princ_qty_inp" VALUE="<%= princ_qty %>">
<P>Price<INPUT TYPE ="text" NAME="price" VALUE="<%= price %>">
<P>Pay Currency<INPUT TYPE ="text" NAME="pay_ccy_inp" VALUE="<%= pay_ccy %>" >
<P>Location<INPUT TYPE ="text" NAME="location" VALUE="<%= location %>">
<P>Client Text:<INPUT TYPE ="text" NAME="client_txt" VALUE="<%= client_txt %>">
<P>Custodian Text:<INPUT TYPE ="text" NAME="custodian_txt" VALUE="<%= custodian_txt %>">
<P>Physical Text:<INPUT TYPE ="text" NAME="physical_txt" VALUE="<%= physical_txt %>">
<P><INPUT TYPE="submit" VALUE="Submit">
</FORM>

<!-- Add JavaScript to interrogate the form's values and automatically place the cursor 
     (focus) on the control containing the erroneous entry, if specified from 
     Psi_output2.jsp -->
<% 
    // insert some Java code to prime the JavaScript with a variable value equalling the
    // erroneous entry, if any
    String errorText = request.getParameter("errorText");
    if (errorText != null)
    {
%>
       <SCRIPT language="JavaScript">
       // prime error_entry from a Java variable set above using JSP                
          var error_entry = '<%= errorText %>';
          with (document.form1)
          {
             if (var done = 0;
             for (count = 0; count < elements.length && done==0; count++)
             { 
                 if (elements[count].value == error_entry)
                 {
                    elements[count].setFocus();
                    done = 1;
                 }
             }
          }
        </SCRIPT>
<%  } %>

</BODY>
<% out.close(); %>
</HTML>
